import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { ExtraPage } from './extra.page';

import { LoginComponent } from './login/login.component';

const routes: Routes = [
  {
    path: '',
    component: ExtraPage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild(routes)
  ],
  declarations: [ExtraPage, LoginComponent]
})
export class ExtraPageModule {}
